from starlette.applications import Starlette
from starlette.staticfiles import StaticFiles
import typer
import uvicorn
from pathlib import Path


def serve(dir: Path, host: str = "localhost", port: int = 8000):
    app = Starlette()
    app.mount("/", StaticFiles(directory=dir, html=True), name="zona")

    typer.echo(f"Preview server running at http://{host}:{port}")
    uvicorn.run(app, host=host, port=port, log_level="warning")
